/*
 * @(#)Building.java 08/14/2010
 *
 * 2002 - 2020 JIDE Software Inc. All rights reserved.
 * Copyright 2005 - 2020 Catalysoft Ltd. All rights reserved.
 */
import java.awt.Image;
import java.awt.Toolkit;


public enum Building {
 // The image objects for each of the buildings is just an ordinary Image
    // that could have been loaded in from a file. I just put the image data inside the class so
    // that it is more self-contained.
    TAIPEI(1670),
    PETRONAS_TOWERS(1483),
    WILLIS_TOWER(1450),
    JIN_MAO_BUILDING(1380),
    EMPIRE_STATE_BUILDING(1250);

    private int height; // in feet
    private Image image;

    private Building(int height) {
        this.height = height;
    }

    public int getHeight() {
        return height;
    }

    public Image getImage() {
        if (image == null) {
            byte[] imageBytes= null;
            if (this == TAIPEI) {
                imageBytes = taipei();
            } else if (this == PETRONAS_TOWERS) {
                imageBytes = petronas();
            } else if (this == WILLIS_TOWER) {
                imageBytes = willis();
            } else if (this == JIN_MAO_BUILDING) {
                imageBytes = jinmao();
            } else if (this == EMPIRE_STATE_BUILDING) {
                imageBytes = empireState();
            }
            if (imageBytes != null) {
                image = Toolkit.getDefaultToolkit().createImage(imageBytes);
            }
        }
        return image;
    }
    
    private static byte[] taipei() {
        return new byte[] { -119, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 53, 0, 0, 1, 0, 8,
                3, 0, 0, 0, 36, -8, -50, -24, 0, 0, 3, 0, 80, 76, 84, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -5, -5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 12, 12, 12, 31, 31,
                31, 74, 74, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -88, 0, 0, 0, -88, 0, -5, -88, 0, 0, 0,
                -88, -88, 0, 48, 0, -5, -88, 0, 0, 0, -44, -119, -38, -92, 0, 0, 1, 0, 116, 82, 78, 83, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, -1, -1, -1, -96, -16, -18, 89, 0, 0, 0, 9,
                112, 72, 89, 115, 0, 0, 23, 18, 0, 0, 23, 18, 1, 103, -97, -46, 82, 0, 0, 0, 7, 116, 73, 77, 69, 7,
                -39, 7, 31, 21, 55, 9, -80, -119, 5, -107, 0, 0, 0, 7, 116, 69, 88, 116, 65, 117, 116, 104, 111, 114,
                0, -87, -82, -52, 72, 0, 0, 0, 12, 116, 69, 88, 116, 68, 101, 115, 99, 114, 105, 112, 116, 105, 111,
                110, 0, 19, 9, 33, 35, 0, 0, 0, 10, 116, 69, 88, 116, 67, 111, 112, 121, 114, 105, 103, 104, 116, 0,
                -84, 15, -52, 58, 0, 0, 0, 14, 116, 69, 88, 116, 67, 114, 101, 97, 116, 105, 111, 110, 32, 116, 105,
                109, 101, 0, 53, -9, 15, 9, 0, 0, 0, 9, 116, 69, 88, 116, 83, 111, 102, 116, 119, 97, 114, 101, 0, 93,
                112, -1, 58, 0, 0, 0, 11, 116, 69, 88, 116, 68, 105, 115, 99, 108, 97, 105, 109, 101, 114, 0, -73, -64,
                -76, -113, 0, 0, 0, 8, 116, 69, 88, 116, 87, 97, 114, 110, 105, 110, 103, 0, -64, 27, -26, -121, 0, 0,
                0, 7, 116, 69, 88, 116, 83, 111, 117, 114, 99, 101, 0, -11, -1, -125, -21, 0, 0, 0, 8, 116, 69, 88,
                116, 67, 111, 109, 109, 101, 110, 116, 0, -10, -52, -106, -65, 0, 0, 0, 6, 116, 69, 88, 116, 84, 105,
                116, 108, 101, 0, -88, -18, -46, 39, 0, 0, 0, -43, 73, 68, 65, 84, 104, -127, -19, -45, 65, 14, -125,
                48, 12, 68, -47, -71, -1, -103, -77, -24, -94, -86, 84, -95, 58, -96, 16, -89, 99, -14, -67, 13, 79,
                -126, -32, -81, 54, 50, -102, -83, -92, -16, 16, -123, 66, -95, 80, 41, 74, -17, 121, -100, 106, 29,
                -28, -15, -122, -88, -65, 40, 125, -51, -109, 84, 67, -3, 116, -63, 33, 42, 69, -23, 48, -37, -86, 35,
                8, 104, -78, -110, -67, 90, 121, 27, -75, 85, -52, -20, 85, -37, 81, 69, -56, 103, -93, 86, 42, -117,
                61, 100, -25, -77, 85, -60, -118, -85, -24, 50, 124, -6, 26, 83, 22, -91, 80, 101, -74, -78, -17, 107,
                -20, 47, -121, 104, 75, 101, -47, 23, 85, 102, 43, -5, -106, -93, -49, -14, 41, 101, -91, -78, -24,
                -117, 42, -81, 43, -6, 42, -91, 44, 74, -95, -54, 108, 101, 95, 37, 45, -33, 87, 22, 125, -47, 114,
                -74, -78, -81, -110, -106, -17, 43, -117, -66, -88, 50, 91, 81, 101, -94, 82, 101, -43, 65, -88, 9, 74,
                117, 85, 23, -95, 38, 40, 85, 85, 39, 8, 21, -80, 82, -22, 20, -95, 38, 40, 85, 84, 23, 16, 106, -126,
                -6, 60, -3, 2, -59, 86, -19, 31, -67, 94, 88, 115, 0, 0, 0, 0, 73, 69, 78, 68, -82, 66, 96, -126 };
    }
    
    private static byte[] petronas() {
        return new byte[] { -119, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 100, 0, 0, 0, -28,
                8, 3, 0, 0, 0, 89, -116, 113, -66, 0, 0, 3, 0, 80, 76, 84, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -5, -5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 12, 12, 12, 31,
                31, 31, 74, 74, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -88, 0, 0, 0, -88, 0, -5, -88, 0, 0,
                0, -88, -88, 0, 48, 0, -5, -88, 0, 0, 0, -44, -119, -38, -92, 0, 0, 1, 0, 116, 82, 78, 83, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, -1, -1, -1, -96, -16, -18, 89, 0, 0, 0,
                9, 112, 72, 89, 115, 0, 0, 23, 18, 0, 0, 23, 18, 1, 103, -97, -46, 82, 0, 0, 0, 7, 116, 73, 77, 69, 7,
                -39, 7, 31, 22, 2, 42, -78, -103, 8, 8, 0, 0, 0, 7, 116, 69, 88, 116, 65, 117, 116, 104, 111, 114, 0,
                -87, -82, -52, 72, 0, 0, 0, 12, 116, 69, 88, 116, 68, 101, 115, 99, 114, 105, 112, 116, 105, 111, 110,
                0, 19, 9, 33, 35, 0, 0, 0, 10, 116, 69, 88, 116, 67, 111, 112, 121, 114, 105, 103, 104, 116, 0, -84,
                15, -52, 58, 0, 0, 0, 14, 116, 69, 88, 116, 67, 114, 101, 97, 116, 105, 111, 110, 32, 116, 105, 109,
                101, 0, 53, -9, 15, 9, 0, 0, 0, 9, 116, 69, 88, 116, 83, 111, 102, 116, 119, 97, 114, 101, 0, 93, 112,
                -1, 58, 0, 0, 0, 11, 116, 69, 88, 116, 68, 105, 115, 99, 108, 97, 105, 109, 101, 114, 0, -73, -64, -76,
                -113, 0, 0, 0, 8, 116, 69, 88, 116, 87, 97, 114, 110, 105, 110, 103, 0, -64, 27, -26, -121, 0, 0, 0, 7,
                116, 69, 88, 116, 83, 111, 117, 114, 99, 101, 0, -11, -1, -125, -21, 0, 0, 0, 8, 116, 69, 88, 116, 67,
                111, 109, 109, 101, 110, 116, 0, -10, -52, -106, -65, 0, 0, 0, 6, 116, 69, 88, 116, 84, 105, 116, 108,
                101, 0, -88, -18, -46, 39, 0, 0, 1, 43, 73, 68, 65, 84, 120, -100, -19, -40, 75, 14, -124, 32, 16, 69,
                -47, -73, -1, 53, 51, -24, 41, 13, 20, 80, 45, 69, -64, -66, 76, -4, -60, -21, 9, -30, -64, -88, -76,
                97, -24, -11, -120, -4, -70, -52, 6, 4, 4, 4, 4, 4, -28, 118, 68, 118, -47, 49, -84, 6, 100, 5, 114,
                -22, -62, -69, 17, 117, -26, 110, 19, -50, -57, -75, 3, -111, -36, -118, 122, 77, -21, -92, -70, -59,
                -53, -111, 126, -46, 56, 41, -71, -107, 65, 2, -14, 16, -111, -36, -54, 40, 1, -71, 0, -111, -36, 74,
                -103, -44, -9, 28, 5, 19, 10, 8, -56, 57, 72, 109, -116, -107, 113, -15, 28, 105, 37, -27, 93, 65, 64,
                64, -2, 21, 105, 94, -33, 103, -90, 18, 16, 16, 16, 16, 16, 16, 16, 11, -79, -126, -114, 50, -105, 104,
                38, -80, 127, -8, -50, 37, 32, 32, 32, 32, 32, 32, 32, 32, 32, 25, -46, 11, 44, 101, 50, 121, -124,
                -52, 38, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, -73, 33, 63, 12, 16, 16, -17, -5, 88, -20,
                -121, 32, -11, 65, 8, -110, -51, 37, 8, -47, 30, 36, 95, -106, 24, 68, 123, -112, -52, 10, 66, 26, -37,
                8, 36, 91, -1, 32, 68, 123, -112, -4, -30, 24, 68, 123, -112, -108, -66, -107, -11, -120, -10, 32, 41,
                21, -54, 114, 68, 123, -112, -108, 74, 101, 53, 82, 78, 36, 8, 73, -27, -72, 21, -87, 12, 71, 113, 20,
                -46, 48, 46, -3, -86, 7, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 121, 19, -14, -61, 0, 1, 1,
                57, 14, -7, 0, 9, 74, 48, 17, 84, -35, 56, 93, 0, 0, 0, 0, 73, 69, 78, 68, -82, 66, 96, -126 };
    }
    
    private static byte[] willis() {
        return new byte[] { -119, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 61, 0, 0, 1, 3, 8,
                3, 0, 0, 0, -79, -69, -4, -78, 0, 0, 3, 0, 80, 76, 84, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -5, -5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 12, 12, 12, 31, 31,
                31, 74, 74, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -88, 0, 0, 0, -88, 0, -5, -88, 0, 0, 0,
                -88, -88, 0, 48, 0, -5, -88, 0, 0, 0, -44, -119, -38, -92, 0, 0, 1, 0, 116, 82, 78, 83, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, -1, -1, -1, -96, -16, -18, 89, 0, 0, 0, 9,
                112, 72, 89, 115, 0, 0, 23, 18, 0, 0, 23, 18, 1, 103, -97, -46, 82, 0, 0, 0, 7, 116, 73, 77, 69, 7,
                -39, 7, 31, 22, 2, 54, -90, -104, 84, 71, 0, 0, 0, 7, 116, 69, 88, 116, 65, 117, 116, 104, 111, 114, 0,
                -87, -82, -52, 72, 0, 0, 0, 12, 116, 69, 88, 116, 68, 101, 115, 99, 114, 105, 112, 116, 105, 111, 110,
                0, 19, 9, 33, 35, 0, 0, 0, 10, 116, 69, 88, 116, 67, 111, 112, 121, 114, 105, 103, 104, 116, 0, -84,
                15, -52, 58, 0, 0, 0, 14, 116, 69, 88, 116, 67, 114, 101, 97, 116, 105, 111, 110, 32, 116, 105, 109,
                101, 0, 53, -9, 15, 9, 0, 0, 0, 9, 116, 69, 88, 116, 83, 111, 102, 116, 119, 97, 114, 101, 0, 93, 112,
                -1, 58, 0, 0, 0, 11, 116, 69, 88, 116, 68, 105, 115, 99, 108, 97, 105, 109, 101, 114, 0, -73, -64, -76,
                -113, 0, 0, 0, 8, 116, 69, 88, 116, 87, 97, 114, 110, 105, 110, 103, 0, -64, 27, -26, -121, 0, 0, 0, 7,
                116, 69, 88, 116, 83, 111, 117, 114, 99, 101, 0, -11, -1, -125, -21, 0, 0, 0, 8, 116, 69, 88, 116, 67,
                111, 109, 109, 101, 110, 116, 0, -10, -52, -106, -65, 0, 0, 0, 6, 116, 69, 88, 116, 84, 105, 116, 108,
                101, 0, -88, -18, -46, 39, 0, 0, 0, 126, 73, 68, 65, 84, 104, -127, -19, -44, 49, 10, -128, 48, 16, 69,
                -63, -67, -1, 5, -12, -80, 22, 86, -118, -72, -117, -47, 4, 68, 97, 126, -71, 100, 94, -103, 88, -46,
                34, 34, 31, -21, 21, 15, -65, -94, 27, 33, -102, -90, 127, -83, 47, 121, -83, 119, 51, -94, -113, -99,
                39, 122, -90, 105, -102, 46, -11, 52, -92, 123, 127, -90, 56, -17, 29, -99, 96, 51, 66, -45, 52, 77,
                -45, 52, 77, -73, 43, 52, 77, -45, 52, 77, -45, 52, 77, -41, -6, -106, 76, -123, 46, 29, 52, 77, -45,
                52, 77, -45, 52, 77, -45, 52, 77, -45, 52, 77, -45, 52, 77, -45, 52, 77, -45, 52, 77, 111, 122, 5, -38,
                -61, 105, 23, -78, -73, -25, -101, 0, 0, 0, 0, 73, 69, 78, 68, -82, 66, 96, -126 };
    }
    
    private static byte[] jinmao() {
        return new byte[] {
            -119,80,78,71,13,10,26,10,0,0,
            0,13,73,72,68,82,0,0,0,57,
            0,0,0,-45,8,3,0,0,0,12,
            25,75,83,0,0,3,0,80,76,84,
            69,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,-5,
            -5,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,3,3,
            3,12,12,12,31,31,31,74,74,74,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,0,0,
            0,0,0,0,0,0,0,0,-88,0,
            0,0,-88,0,-5,-88,0,0,0,-88,
            -88,0,48,0,-5,-88,0,0,0,-44,
            -119,-38,-92,0,0,1,0,116,82,78,
            83,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
            -1,-1,-1,0,-1,-1,-1,-96,-16,-18,
            89,0,0,0,9,112,72,89,115,0,
            0,23,18,0,0,23,18,1,103,-97,
            -46,82,0,0,0,7,116,73,77,69,
            7,-39,7,31,22,3,4,119,84,52,
            -122,0,0,0,7,116,69,88,116,65,
            117,116,104,111,114,0,-87,-82,-52,72,
            0,0,0,12,116,69,88,116,68,101,
            115,99,114,105,112,116,105,111,110,0,
            19,9,33,35,0,0,0,10,116,69,
            88,116,67,111,112,121,114,105,103,104,
            116,0,-84,15,-52,58,0,0,0,14,
            116,69,88,116,67,114,101,97,116,105,
            111,110,32,116,105,109,101,0,53,-9,
            15,9,0,0,0,9,116,69,88,116,
            83,111,102,116,119,97,114,101,0,93,
            112,-1,58,0,0,0,11,116,69,88,
            116,68,105,115,99,108,97,105,109,101,
            114,0,-73,-64,-76,-113,0,0,0,8,
            116,69,88,116,87,97,114,110,105,110,
            103,0,-64,27,-26,-121,0,0,0,7,
            116,69,88,116,83,111,117,114,99,101,
            0,-11,-1,-125,-21,0,0,0,8,116,
            69,88,116,67,111,109,109,101,110,116,
            0,-10,-52,-106,-65,0,0,0,6,116,
            69,88,116,84,105,116,108,101,0,-88,
            -18,-46,39,0,0,0,-45,73,68,65,
            84,104,-127,-19,-43,65,18,-61,32,8,
            -123,97,-18,127,-128,-98,54,-117,110,107,
            84,124,37,-79,104,-13,-77,101,-66,-127,
            121,56,-119,29,-47,50,-81,-25,53,-111,
            -69,73,-37,73,-102,-7,116,-126,-76,-117,
            -46,-117,-95,-33,-55,-110,125,56,79,70,
            -74,-115,103,27,-108,-10,89,63,-110,71,
            84,-102,9,67,23,-111,86,-41,-70,-78,
            1,-101,86,-108,-15,-103,-118,108,47,-85,
            108,-69,-112,108,-28,33,-62,-79,-52,-104,
            -71,-108,-84,3,81,-31,72,-58,103,102,
            108,-5,16,-23,64,123,-123,101,117,-65,
            -101,-92,75,-1,72,122,-16,76,-13,-81,
            -14,16,-23,66,-9,42,72,-92,2,79,
            -12,-101,-103,123,-55,25,-39,34,-25,-55,
            1,116,94,2,18,-119,-100,44,-121,-80,
            -92,-37,74,-127,34,-111,-56,28,57,118,
            37,-67,67,74,52,65,118,-78,69,34,
            -111,-56,100,41,-64,-62,-26,126,-29,-111,
            72,36,18,-71,-72,-108,96,-13,-65,-126,
            68,34,-111,72,36,82,-106,111,-54,67,
            48,-67,86,-10,-19,-30,0,0,0,0,
            73,69,78,68,-82,66,96,-126
        };
      }

    private static byte[] empireState() {
        return new byte[] { -119, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 0, 69, 0, 0, 0, -63,
                8, 3, 0, 0, 0, -82, 114, -115, -43, 0, 0, 3, 0, 80, 76, 84, 69, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -5, -5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 12, 12, 12, 31,
                31, 31, 74, 74, 74, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -88, 0, 0, 0, -88, 0, -5, -88, 0, 0,
                0, -88, -88, 0, 48, 0, -5, -88, 0, 0, 0, -44, -119, -38, -92, 0, 0, 1, 0, 116, 82, 78, 83, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
                -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 0, -1, -1, -1, -96, -16, -18, 89, 0, 0, 0,
                9, 112, 72, 89, 115, 0, 0, 23, 18, 0, 0, 23, 18, 1, 103, -97, -46, 82, 0, 0, 0, 7, 116, 73, 77, 69, 7,
                -39, 7, 31, 22, 3, 14, -105, -127, -35, -104, 0, 0, 0, 7, 116, 69, 88, 116, 65, 117, 116, 104, 111,
                114, 0, -87, -82, -52, 72, 0, 0, 0, 12, 116, 69, 88, 116, 68, 101, 115, 99, 114, 105, 112, 116, 105,
                111, 110, 0, 19, 9, 33, 35, 0, 0, 0, 10, 116, 69, 88, 116, 67, 111, 112, 121, 114, 105, 103, 104, 116,
                0, -84, 15, -52, 58, 0, 0, 0, 14, 116, 69, 88, 116, 67, 114, 101, 97, 116, 105, 111, 110, 32, 116, 105,
                109, 101, 0, 53, -9, 15, 9, 0, 0, 0, 9, 116, 69, 88, 116, 83, 111, 102, 116, 119, 97, 114, 101, 0, 93,
                112, -1, 58, 0, 0, 0, 11, 116, 69, 88, 116, 68, 105, 115, 99, 108, 97, 105, 109, 101, 114, 0, -73, -64,
                -76, -113, 0, 0, 0, 8, 116, 69, 88, 116, 87, 97, 114, 110, 105, 110, 103, 0, -64, 27, -26, -121, 0, 0,
                0, 7, 116, 69, 88, 116, 83, 111, 117, 114, 99, 101, 0, -11, -1, -125, -21, 0, 0, 0, 8, 116, 69, 88,
                116, 67, 111, 109, 109, 101, 110, 116, 0, -10, -52, -106, -65, 0, 0, 0, 6, 116, 69, 88, 116, 84, 105,
                116, 108, 101, 0, -88, -18, -46, 39, 0, 0, 0, -123, 73, 68, 65, 84, 104, -127, -19, -51, 59, 10, -128,
                64, 20, 3, -64, -36, -1, -52, 22, -10, -70, -97, 39, -120, -21, -62, -92, 12, 100, -110, -29, -115,
                100, 35, 37, -87, -4, 80, 40, 20, -54, 99, 37, 41, 49, 20, 10, 101, -126, 20, 24, 10, -123, 66, 89,
                -94, 36, 69, 102, 23, 37, -87, 50, 91, 40, -71, 102, -103, 114, 51, -58, 14, -123, 66, 41, 34, 3, -122,
                66, -95, -4, 89, -23, 24, 3, -121, 66, -95, 80, 40, 20, 10, -123, 66, -95, 80, 40, 20, 10, -123, 82,
                87, 6, 70, -41, -71, -75, 19, -92, -51, 80, 40, -108, 63, 42, 83, -96, 75, 81, 40, 20, 10, 101, 95,
                -27, -63, -66, 105, 81, 40, -33, 43, 39, 100, -103, 122, -20, 105, -112, 103, 58, 0, 0, 0, 0, 73, 69,
                78, 68, -82, 66, 96, -126 };
    }
}
